For the complete documentation index, see llms.txt. This page is also available as Markdown.

Profiles

Organization profiles are used to provide more context for an Issuer DID. Details about the issuer such as name and logo can be added using a organization profile. These details will be included in credentials that are issued by the DID.

Create profile

The did and name fields are required to create a new Profile.

Create a Profile

post
/profiles
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
didstring · min: 32Required

A DID

Example: did:cheqd:testnet:ac2b9027-ec1a-4ee2-aad1-1e316e7d6f59
Responses
200

Profile has been created

application/json
didstringRequired
namestringRequired
logostringOptional
post
/profiles

Get profile

When a DID is provided in the path, the API will retrieve the profile associated with that DID.

Info for a specific profile by DID

get
/profiles/{did}
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
didstring · min: 32Required

DID as fully qualified, typically. did:cheqd:

Example: did:cheqd:testnet:ac2b9027-ec1a-4ee2-aad1-1e316e7d6f59
Responses
200

Expected response to a valid request

application/json
didstringRequired
namestringRequired
logostringOptional
get
/profiles/{did}

List profiles

Return a list of all profiles that your user account controls.

List all Profiles

get
/profiles
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
offsetinteger · int32Optional

How many items to offset by for pagination

Default: 0
limitinteger · int32 · min: 1 · max: 64Optional

How many items to return at one time (max 64)

Default: 64
Responses
200

A paged array of profiles

application/json
didstringRequired
namestringRequired
logostringOptional
get
/profiles

Update profile

The update profile operation means that you can update the details of the profile. To do so, you need to provide a different value for at least one of name, description or logo.

Update a Profile

patch
/profiles/{did}
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
didstring · min: 32Required

DID as fully qualified, typically. did:cheqd:

Example: did:cheqd:testnet:ac2b9027-ec1a-4ee2-aad1-1e316e7d6f59
Body
didstring · min: 32Required

A DID

Example: did:cheqd:testnet:ac2b9027-ec1a-4ee2-aad1-1e316e7d6f59
Responses
200

Profile has been updated

application/json
didstringRequired
namestringRequired
logostringOptional
patch
/profiles/{did}

Delete profile

Deletes a profile from our platform. It does NOT delete the associated DID, nor revoke the credentials issued for the profile.

Deletes a single profile based on the supplied value of DID

delete
/profiles/{did}
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
didstring · min: 32Required

DID as fully qualified, typically. did:cheqd:

Example: did:cheqd:testnet:ac2b9027-ec1a-4ee2-aad1-1e316e7d6f59
Responses
200

Profile Deleted

No content

delete
/profiles/{did}

No content

Last updated

Was this helpful?